Bug 440476 - T60 powers off when plugged into dock
T60 powers off when plugged into dock
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity high
: rc
: ---
Assigned To: John Feeney
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2008-04-03 14:04 EDT by Cameron Meadors
Modified: 2009-10-13 17:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-13 17:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2008-04-03 14:04:48 EDT
If I dock my T60 when it is running (not suspended) it completely powers off. 
It does not happen every time.  How do i go about getting information about what
happens when I dock the laptop?


I am using acpi_sleep=s3_bios to resolve similar issue when suspended.
Comment 1 Steven Garrity 2008-11-07 09:59:39 EST
I've had this happen in the past and found an odd tip on a forum that worked. It turned out that it was static electricity built up in the dock that was triggering the shutdown. If I touched some of the metal parts on the dock before docking the laptop, it doesn't happen.

Might be the same issue (it's a T60 for me too).
Comment 2 Nigel Jones 2009-05-20 02:24:00 EDT
There is a known issue with static on the T60p (I know, I got it too!). This is independent of OS. The symptom is all LEDs on the laptop going off when the machine is docked.

The fix is two little rubber caps on the dock, or touching the metal prongs before doc as Stephen mentioned.

More info at http://www-307.ibm.com/pc/support/site.wss/MIGR-67382.html

If so, not a linux issue.How this wasn't spotted in HW testing I do not know. Of course it does depend on atmospherics, furnishings etc.
Comment 5 Cameron Meadors 2009-10-13 11:15:27 EDT
I have not had this problem ever since I suspected ESD and started grounding myself to the dock before I plugged the Laptop in to the dock.  I think it is safe to say this is not a software bug.  I think this can be closed.
Comment 6 John Feeney 2009-10-13 17:40:45 EDT
Okay, thanks.
 I am closing this as NOTABUG (at least not a software bug).

Note You need to log in before you can comment on or make changes to this bug.